apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: storageroom
  name: edrms-storageroom
  namespace: edoc2
spec:
  replicas: 1
  selector:
    matchLabels:
      app: storageroom
  template:
    metadata:
      labels:
        app: storageroom
    spec:
      hostname: edrms-storageroom
      containers:
      - image: registry.edoc2.com:5000/edoc2v5/edrms-storageroom:edrms-v6.5.0.1-rc11-arm-tongweb  #arm+tongweb
        imagePullPolicy: IfNotPresent
        name: edrms-storageroom
        envFrom:
        - configMapRef:
            name: mid-envfile
        - configMapRef:
            name: edrms-envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: storageroom
          containerPort: 80
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
---
apiVersion: v1
kind: Service
metadata:
  name: edrms-storageroom
  namespace: edoc2
  labels:
    app: storageroom
spec:
  ports:
  - name: storageroom
    port: 80
    targetPort: 80
    protocol: TCP
  selector:
    app: storageroom
  type: ClusterIP
